@echo off
SetLocal EnableDelayedExpansion


set KSOPS=%~dp0\keystoreops.cmd
call "%KSOPS%" sourceFile settings-rootca

cd %CERTDIR%

> "%LOGDIR%\%~n0.log" 2>&1 (

	:: Generating Private Key
	call "%KSOPS%" generateKey "%PK_ALIAS%" "%PK_DN%" "%PK_VALIDITY%" "%PK_EXT%"

	:: Generating Public ROOT CA
	call "%KSOPS%" exportCert "%PK_ALIAS%" "%PK_ALIAS%.cer"
	
	:: Print Private Key details
	call "%KSOPS%" printDetails "%PK_ALIAS%"
	
	:: Print ROOT CA cert
	call "%KSOPS%" printCert "%PK_ALIAS%.cer"

)

type "%LOGDIR%\%~n0.log"

cd "%~dp0"

pause
EndLocal
