@echo off
@echo off
SetLocal EnableDelayedExpansion

set KSOPS=%~dp0\keystoreops.cmd

call "%KSOPS%" sourceFile settings-pk
::cd %CERTDIR%

:: Generate CSR
call "%~dp0\generateCSR.cmd" CSRFILE


:: Initialize variables to run in 'silient' mode
::call :getFQFN "%CERTDIR%\%PK_CN%.csr" CSRFILE
call "%KSOPS%" getFileName "%CSRFILE%" PUBLIC_CN

set PK_CN=

:: Sign cert
call "%~dp0\signCSR.cmd" CERTFILE ROOTCA_CERT

:: Import SHA1 Root CA
call "%~dp0\importRootCA.cmd" skipPrompt

:: Import Signed Certificate
call "%~dp0\importSignedCert.cmd" skipPrompt

echo -- END OF WRAPPER SCRIPT --
pause

EndLocal


REM :getFileName [fqfn] [fn]
	REM set "%~2=%~n1"
REM exit /b

REM :getPath [fqfn] [path]
	REM set "%~2=%~dp1"
REM exit /b

REM :getFQFN [relPath] [fqfn]
	REM set "%~2=%~f1"
REM exit /b
	