@echo off
SetLocal EnableDelayedExpansion

set KSOPS=%~dp0\keystoreops.cmd
call "%KSOPS%" sourceFile settings-pk

cd %CERTDIR%

> "%LOGDIR%\%~n0.log" 2>&1 (

	:: Listing certs
	call "%KSOPS%" listCerts

	:: Deleting existing PKCS12 file, if any
	if exist "%DEST_KEYSTORE%"	del "%DEST_KEYSTORE%"
	
	:: Export certs to PKCS12
	call "%KSOPS%" exportKeystore "%DEST_KEYSTORE%"

)

type "%LOGDIR%\%~n0.log"

cd "%~dp0"

pause
EndLocal
exit /b


:getFQFN [relPath] [fqfn]
	set "%~2=%~f1"
exit /b
	